#include "acpi.h"
#include "../screen.h"

#define cli() __asm__ __volatile__("cli");
#define hlt() __asm__ __volatile__("hlt");

void reboot()
{
    outportb(0x64, 0xFE);
}

void shutdown()
{
    acpiEnable();
    initAcpi();
    acpiPowerOff();
    print("\nSystem Halted.\n\n");
    hlt();
}
