#include "include/kb.h"
#include "include/screen.h"
#include "include/string.h"
#include "include/system.h"
#include "include/types.h"
#include "include/acpi/energy.h"
#include "include/gui/vesa.h"
#include "include/VM86/idt.h"
#include "include/VM86/vm86.h"

int main(void *multibootInfo)
{
    idtInitialize();
    vm86Initialize();
    VM86Regs regs = { .AX = 0x4F02, .BX = 0x11B };
    vm86Int(0x10, &regs);
    return 0x55AA1122;
}
